@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600;700&display=swap');

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
}
*, *::before, *::after {
    box-sizing: inherit;
}
body {
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;

    background: url("../img/bgpattern.png") repeat;

    font-family: "Open Sans", Arial, sans-serif;
    font-size: 1em;
    font-weight: 400;
}
h1 {
    font-size: 2em;
}
h2 {
    font-size: 1.5em;
}
h3 {
    font-size: 1.2em;
}
a {
    color: #4f8cc9;
    text-decoration: none;
}
a:hover {
    text-decoration: underline;
}
header {
    width: 100%;
    padding: 0 5em;
    margin-bottom: 1em;

    background: #101619;
    color: #fff;
}
header > .inner {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    max-width: 80%;
    margin-left: auto;
    margin-right: auto;
}
header a {
    color: inherit;

    text-align: center;
    text-transform: uppercase;
}
header a:hover {
    text-decoration: none;
}
#site-name {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 1em;
}
#site-name > img {
    max-height: 2em;
    margin: 0.5em;
}
nav {
    color: #fff;
}
nav > ul {
    display: block;
    margin: 0;
    padding: 0;

    text-align: center;
    list-style: none;
}
nav > ul > li {
    display: inline-block;
    padding: 1em;
}
nav > ul > li > a {
    position: relative;

    transition: color 0.25s;
}
nav > ul > li > a:hover {
    color: #8dd6f9;
}
nav > ul > li > a.active::after {
    content: "";

    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 2px;

    background: #8dd6f9;
}
nav::after, nav > ul::after {
    content: " ";

    display: block;
    clear: both;
    visibility: hidden;
    height: 0;
}
main {
    flex: 1;
}
section {
    width: 80%;
    padding: 1em 2em;
    margin-left: auto;
    margin-right: auto;

    background: #fff;
}
section > h1 {
    margin-top: 0.4em;
}
footer {
    width: 100%;
    padding: 1em;
    margin-top: 1em;

    text-align: center;

    background: #000;
    color: #fff;
}

.form-group {
    margin-bottom: 1em;
    clear: both;
}
label, span.label {
    display: block;
    max-width: 100%;
    margin-bottom: 0.4em;

    font-weight: 700;
}
button {
    padding: 0.5em 1em;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 1em;

    color: #fff;
    background-color: #1237b1;
    border-color: #14308e;

    cursor: pointer;
    transition: background 0.25s;
}
button:hover {
    color: #fff;
    background-color: #112361;
    border-color: #0b216b;
}


.gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}
.gallery-image {
    display: flex;
    flex-flow: column;

    max-width: 29em;
    border: 1px solid #cccccc;
    margin: 0.2em;
}
.gallery-image-thumbnail {
    display: flex;
    flex-flow: column;
    flex: 1 1 auto;
}
.gallery-image-thumbnail > a {
    display: flex;
    align-items: center;
    flex: 1 1 auto;
    width: 100%;
}
.gallery-image-thumbnail > a > img {
    width: 100%;
}
.gallery-image-description {
    width: 100%;
    padding: 1em;
    border-top: 1px solid #cccccc;

    text-align: center;
}
.gallery-image-metadata {
    display: flex;
    flex-flow: column;
    justify-content: center;
    flex: 1 1 auto;

    padding: 1em;
    padding-top: 0;
}

table {
    border-collapse: collapse;
    border: 1px solid #dddddd;
}
th, td {
    padding: 0.5em;
}
tr:nth-child(even) {
    background: #f2f2f2;
}
.scrollable-table {
    overflow-x: auto;
}


.form-group input, .form-group textarea, .form-group select {
    display: block;
    max-width: 100%;
    padding: 0.35em 0.7em;
    border: 1px solid #ccc;
    border-radius: 4px;
}
.form-checkbox {
    display: flex;
    align-items: center;
    margin-bottom: 0;
}
.form-checkbox input {
    display: inline;
}
.form-checkbox label {
    font-weight: 400;
    margin-bottom: 0;
}

.form-sortable {
    display: none;
}
.form-sortable > div {
    float: left;
    padding: 0.5em;
}
.form-sortable > div > strong {
    margin: 0.5em;
}
.contact-form-languages {
    min-height: 20px;
    padding: 5px 0 0 0;
    margin-top: 0.2em;
    border: 1px solid #eee;

    list-style-type: none;
    user-select: none;
}
.contact-form-languages li {
    width: 120px;
    padding: 5px;
    margin: 0 5px 5px 5px;

    font-size: 1.2em;
    cursor: grab;
}

#pager-list {
    clear: both;
    text-align: center
}

.pager {
    display: inline-block;
    padding-left: 0;
    margin: 0;
    border-radius: 4px
}

.pager > li {
    display: inline
}

.pager > li > a,
.pager > li > span {
    position: relative;
    float: left;
    padding: 5.5px 11px;
    line-height: 1.42857143;
    text-decoration: none;
    color: #337ab7;
    background-color: #fff;
    border: 1px solid #ddd;
    margin-left: -1px
}

.pager > li:first-child > a,
.pager > li:first-child > span {
    margin-left: 0;
    border-bottom-left-radius: 3.5px;
    border-top-left-radius: 3.5px
}

.pager > li:last-child > a,
.pager > li:last-child > span {
    border-bottom-right-radius: 3.5px;
    border-top-right-radius: 3.5px
}

.pager > li > a:hover,
.pager > li > span:hover,
.pager > li > a:focus,
.pager > li > span:focus {
    color: #23527c;
    background-color: #eee;
    border-color: #ddd
}

.pager > .pager-current > a,
.pager > .pager-current > span,
.pager > .pager-current > a:hover,
.pager > .pager-current > span:hover,
.pager > .pager-current > a:focus,
.pager > .pager-current > span:focus {
    z-index: 2;
    color: #fff;
    background-color: #337ab7;
    border-color: #337ab7;
    cursor: default
}

.pager > .disabled > span,
.pager > .disabled > span:hover,
.pager > .disabled > span:focus,
.pager > .disabled > a,
.pager > .disabled > a:hover,
.pager > .disabled > a:focus {
    color: #777;
    background-color: #fff;
    border-color: #ddd;
    cursor: not-allowed
}


#challenge-list input, #challenge-list > p {
    display: none;
}
#challenge-list.js-enabled input, #challenge-list.js-enabled > p {
    display: inline;
}
#challenge-list.js-enabled ul {
    list-style: none;
    padding-left: 1em;
}

.slick-prev {
    left: -10px;
}
.slick-next {
    right: -10px;
}
.slick-prev:before, .slick-next:before {
    color: #000;
}
#companies-carousel {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.carousel-item {
    padding: 1em;
}
.carousel-item > img {
    max-width: 100%;
    margin-left: auto;
    margin-right: auto;
}

@media screen and (max-width: 768px) {
    header {
        padding: 0 1em;
    }
}

@media screen and (max-width: 480px) {
    header {
        margin-bottom: 0;
    }
    section {
        width: 100%;
        padding: 1em 1em;
    }
    footer {
        margin-top: 0;
    }
}


@media screen and (max-width: 240px) {
    body {
        font-size: 0.75em;
    }
}
